SLA

SLA templates and contracts.

12 endpoints · Plakar Control Plane v0.18 · Base URL, authentication and errors

List the SLAs

GET /api/v1/account/organizations/{id}/slas
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Query parameters

  • search string
    Free-text search on SLA names.
  • status string
    Only SLAs in this state.
    Allowed: active, draft
  • offset integer
    Number of items to skip.
    Default: 0
  • limit integer
    Maximum number of items to return.
    Default: 20

Response 200 OK application/json

  • items array[object]
    • check_history array[object]
      • date string<date-time>
      • status string
    • compliance_rate number<double>
    • connectors integer
    • id string<uuid>
    • last_checked_at string<date-time> nullable
    • lookback object
      • unit string
      • value integer
    • name string
    • resources integer
    • rpo object
      • unit string
      • value integer
    • status string
  • total integer

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/account/organizations/{id}/slas' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "items": [
    {
      "check_history": [
        {
          "date": "2026-01-01T00:00:00Z",
          "status": "string"
        }
      ],
      "compliance_rate": 0,
      "connectors": 0,
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "last_checked_at": "2026-01-01T00:00:00Z",
      "lookback": {
        "unit": "string",
        "value": 0
      },
      "name": "string",
      "resources": 0,
      "rpo": {
        "unit": "string",
        "value": 0
      },
      "status": "string"
    }
  ],
  "total": 0
}

List the SLA contracts

GET /api/v1/account/organizations/{id}/slas/contracts
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Response 200 OK application/json

  • contracts array[object]
    • created_at string<date-time>
    • id string<uuid>
    • source_id string<uuid>
    • template_id string<uuid>
    • updated_at string<date-time>

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/contracts' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "contracts": [
    {
      "created_at": "2026-01-01T00:00:00Z",
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "source_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "template_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "updated_at": "2026-01-01T00:00:00Z"
    }
  ]
}

Create an SLA contract

POST /api/v1/account/organizations/{id}/slas/contracts
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Request body application/json required

  • created_at string<date-time>
  • id string<uuid>
  • source_id string<uuid>
  • template_id string<uuid>
  • updated_at string<date-time>

Response 200 OK application/json

  • created_at string<date-time>
  • id string<uuid>
  • source_id string<uuid>
  • template_id string<uuid>
  • updated_at string<date-time>

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/contracts' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "created_at": "2026-01-01T00:00:00Z",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "source_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "template_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "updated_at": "2026-01-01T00:00:00Z"
}'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "source_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "template_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "updated_at": "2026-01-01T00:00:00Z"
}

Get an SLA contract

GET /api/v1/account/organizations/{id}/slas/contracts/{contract_id}
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.
  • contract_id string required

Response 200 OK application/json

  • created_at string<date-time>
  • id string<uuid>
  • source_id string<uuid>
  • template_id string<uuid>
  • updated_at string<date-time>

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/contracts/{contract_id}' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "source_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "template_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "updated_at": "2026-01-01T00:00:00Z"
}

Delete an SLA contract

DELETE /api/v1/account/organizations/{id}/slas/contracts/{contract_id}
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.
  • contract_id string required

Response 200 OK application/json

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X DELETE 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/contracts/{contract_id}' \
  -H 'Authorization: Bearer <badge>'

Response 200

{}

List the resources an SLA would match

GET /api/v1/account/organizations/{id}/slas/resources
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Query parameters

  • data_classes array[string]
    Only resources of these data classes.
  • tags array[string]
    Only resources with these tags.
  • search string
    Free-text search on resources.
  • environment string
    Only resources of this environment.
  • inventory string<uuid>
    Only resources of this inventory.
  • offset integer
    Number of items to skip.
    Default: 0
  • limit integer
    Maximum number of items to return.
    Default: 100 Min: 1 Max: 100

Response 200 OK application/json

  • items array[object]
    • connectors array[object]
      • id string<uuid>
      • integrationName string
      • name string
      • type string
    • inventory object
      • id string<uuid>
      • name string
      • type string
    • resource object
      • class string
      • id string<uuid>
      • name string
      • urn string
      • urn_id string<uuid>
  • total integer

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/resources' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "items": [
    {
      "connectors": [
        {
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "integrationName": "string",
          "name": "string",
          "type": "string"
        }
      ],
      "inventory": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
        "name": "string",
        "type": "string"
      },
      "resource": {
        "class": "string",
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
        "name": "string",
        "urn": "string",
        "urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      }
    }
  ],
  "total": 0
}

List the SLA templates

GET /api/v1/account/organizations/{id}/slas/templates
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Response 200 OK application/json

  • templates array[object]
    • created_at string<date-time>
    • data_classes array[string] nullable
    • drills array[object] nullable
      • type string
    • environment string
    • id string<uuid>
    • name string
    • revision integer
    • revision_max integer
    • status string
    • tags array[string] nullable
    • temporalities map[object] nullable
      • created_at string<date-time>
      • frequency integer
      • id string<uuid>
      • replicas map[array[object]] nullable
      • retention integer
      • start_time string<date-time>
      • storage_tier string nullable
      • store_id string<uuid>
      • updated_at string<date-time>
    • updated_at string<date-time>

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/templates' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "templates": [
    {
      "created_at": "2026-01-01T00:00:00Z",
      "data_classes": [
        "string"
      ],
      "drills": [
        {
          "type": "string"
        }
      ],
      "environment": "string",
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "name": "string",
      "revision": 0,
      "revision_max": 0,
      "status": "string",
      "tags": [
        "string"
      ],
      "temporalities": {
        "key": {
          "created_at": "2026-01-01T00:00:00Z",
          "frequency": 0,
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "replicas": {
            "key": [
              {
                "created_at": "2026-01-01T00:00:00Z",
                "from": 0,
                "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
                "residency": "string",
                "to": 0,
                "updated_at": "2026-01-01T00:00:00Z"
              }
            ]
          },
          "retention": 0,
          "start_time": "2026-01-01T00:00:00Z",
          "storage_tier": "string",
          "store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "updated_at": "2026-01-01T00:00:00Z"
        }
      },
      "updated_at": "2026-01-01T00:00:00Z"
    }
  ]
}

Create an SLA template

POST /api/v1/account/organizations/{id}/slas/templates
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Request body application/json required

  • created_at string<date-time>
  • data_classes array[string] nullable
  • drills array[object] nullable
    • type string
  • environment string
  • id string<uuid>
  • name string
  • revision integer
  • revision_max integer
  • status string
  • tags array[string] nullable
  • temporalities map[object] nullable
    • created_at string<date-time>
    • frequency integer
    • id string<uuid>
    • replicas map[array[object]] nullable
    • retention integer
    • start_time string<date-time>
    • storage_tier string nullable
    • store_id string<uuid>
    • updated_at string<date-time>
  • updated_at string<date-time>

Response 200 OK application/json

  • created_at string<date-time>
  • data_classes array[string] nullable
  • drills array[object] nullable
    • type string
  • environment string
  • id string<uuid>
  • name string
  • revision integer
  • revision_max integer
  • status string
  • tags array[string] nullable
  • temporalities map[object] nullable
    • created_at string<date-time>
    • frequency integer
    • id string<uuid>
    • replicas map[array[object]] nullable
    • retention integer
    • start_time string<date-time>
    • storage_tier string nullable
    • store_id string<uuid>
    • updated_at string<date-time>
  • updated_at string<date-time>

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/templates' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "created_at": "2026-01-01T00:00:00Z",
  "data_classes": [
    "string"
  ],
  "drills": [
    {
      "type": "string"
    }
  ],
  "environment": "string",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string",
  "revision": 0,
  "revision_max": 0,
  "status": "string",
  "tags": [
    "string"
  ],
  "temporalities": {
    "key": {
      "created_at": "2026-01-01T00:00:00Z",
      "frequency": 0,
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "replicas": {
        "key": [
          {
            "created_at": "2026-01-01T00:00:00Z",
            "from": 0,
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "residency": "string",
            "to": 0,
            "updated_at": "2026-01-01T00:00:00Z"
          }
        ]
      },
      "retention": 0,
      "start_time": "2026-01-01T00:00:00Z",
      "storage_tier": "string",
      "store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "updated_at": "2026-01-01T00:00:00Z"
    }
  },
  "updated_at": "2026-01-01T00:00:00Z"
}'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "data_classes": [
    "string"
  ],
  "drills": [
    {
      "type": "string"
    }
  ],
  "environment": "string",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string",
  "revision": 0,
  "revision_max": 0,
  "status": "string",
  "tags": [
    "string"
  ],
  "temporalities": {
    "key": {
      "created_at": "2026-01-01T00:00:00Z",
      "frequency": 0,
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "replicas": {
        "key": [
          {
            "created_at": "2026-01-01T00:00:00Z",
            "from": 0,
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "residency": "string",
            "to": 0,
            "updated_at": "2026-01-01T00:00:00Z"
          }
        ]
      },
      "retention": 0,
      "start_time": "2026-01-01T00:00:00Z",
      "storage_tier": "string",
      "store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "updated_at": "2026-01-01T00:00:00Z"
    }
  },
  "updated_at": "2026-01-01T00:00:00Z"
}

Get an SLA template

GET /api/v1/account/organizations/{id}/slas/templates/{template_id}
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.
  • template_id string required

Response 200 OK application/json

  • created_at string<date-time>
  • data_classes array[string] nullable
  • drills array[object] nullable
    • type string
  • environment string
  • id string<uuid>
  • name string
  • revision integer
  • revision_max integer
  • status string
  • tags array[string] nullable
  • temporalities map[object] nullable
    • created_at string<date-time>
    • frequency integer
    • id string<uuid>
    • replicas map[array[object]] nullable
    • retention integer
    • start_time string<date-time>
    • storage_tier string nullable
    • store_id string<uuid>
    • updated_at string<date-time>
  • updated_at string<date-time>

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/templates/{template_id}' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "data_classes": [
    "string"
  ],
  "drills": [
    {
      "type": "string"
    }
  ],
  "environment": "string",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string",
  "revision": 0,
  "revision_max": 0,
  "status": "string",
  "tags": [
    "string"
  ],
  "temporalities": {
    "key": {
      "created_at": "2026-01-01T00:00:00Z",
      "frequency": 0,
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "replicas": {
        "key": [
          {
            "created_at": "2026-01-01T00:00:00Z",
            "from": 0,
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "residency": "string",
            "to": 0,
            "updated_at": "2026-01-01T00:00:00Z"
          }
        ]
      },
      "retention": 0,
      "start_time": "2026-01-01T00:00:00Z",
      "storage_tier": "string",
      "store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "updated_at": "2026-01-01T00:00:00Z"
    }
  },
  "updated_at": "2026-01-01T00:00:00Z"
}

Update an SLA template

POST /api/v1/account/organizations/{id}/slas/templates/{template_id}
Badge

This endpoint is deprecated.

Deprecated: use PATCH on the same path.

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.
  • template_id string required

Request body application/json required

  • data_classes array[string] nullable
  • drills array[object] nullable
    • type string
  • environment string nullable
  • name string nullable
  • tags array[string] nullable
  • temporalities map[object] nullable
    • created_at string<date-time>
    • frequency integer
    • id string<uuid>
    • replicas map[array[object]] nullable
    • retention integer
    • start_time string<date-time>
    • storage_tier string nullable
    • store_id string<uuid>
    • updated_at string<date-time>

Response 200 OK application/json

  • created_at string<date-time>
  • data_classes array[string] nullable
  • drills array[object] nullable
    • type string
  • environment string
  • id string<uuid>
  • name string
  • revision integer
  • revision_max integer
  • status string
  • tags array[string] nullable
  • temporalities map[object] nullable
    • created_at string<date-time>
    • frequency integer
    • id string<uuid>
    • replicas map[array[object]] nullable
    • retention integer
    • start_time string<date-time>
    • storage_tier string nullable
    • store_id string<uuid>
    • updated_at string<date-time>
  • updated_at string<date-time>

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/templates/{template_id}' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "data_classes": [
    "string"
  ],
  "drills": [
    {
      "type": "string"
    }
  ],
  "environment": "string",
  "name": "string",
  "tags": [
    "string"
  ],
  "temporalities": {
    "key": {
      "created_at": "2026-01-01T00:00:00Z",
      "frequency": 0,
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "replicas": {
        "key": [
          {
            "created_at": "2026-01-01T00:00:00Z",
            "from": 0,
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "residency": "string",
            "to": 0,
            "updated_at": "2026-01-01T00:00:00Z"
          }
        ]
      },
      "retention": 0,
      "start_time": "2026-01-01T00:00:00Z",
      "storage_tier": "string",
      "store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "updated_at": "2026-01-01T00:00:00Z"
    }
  }
}'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "data_classes": [
    "string"
  ],
  "drills": [
    {
      "type": "string"
    }
  ],
  "environment": "string",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string",
  "revision": 0,
  "revision_max": 0,
  "status": "string",
  "tags": [
    "string"
  ],
  "temporalities": {
    "key": {
      "created_at": "2026-01-01T00:00:00Z",
      "frequency": 0,
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "replicas": {
        "key": [
          {
            "created_at": "2026-01-01T00:00:00Z",
            "from": 0,
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "residency": "string",
            "to": 0,
            "updated_at": "2026-01-01T00:00:00Z"
          }
        ]
      },
      "retention": 0,
      "start_time": "2026-01-01T00:00:00Z",
      "storage_tier": "string",
      "store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "updated_at": "2026-01-01T00:00:00Z"
    }
  },
  "updated_at": "2026-01-01T00:00:00Z"
}

Update an SLA template

PATCH /api/v1/account/organizations/{id}/slas/templates/{template_id}
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.
  • template_id string required

Request body application/json required

  • data_classes array[string] nullable
  • drills array[object] nullable
    • type string
  • environment string nullable
  • name string nullable
  • tags array[string] nullable
  • temporalities map[object] nullable
    • created_at string<date-time>
    • frequency integer
    • id string<uuid>
    • replicas map[array[object]] nullable
    • retention integer
    • start_time string<date-time>
    • storage_tier string nullable
    • store_id string<uuid>
    • updated_at string<date-time>

Response 200 OK application/json

  • created_at string<date-time>
  • data_classes array[string] nullable
  • drills array[object] nullable
    • type string
  • environment string
  • id string<uuid>
  • name string
  • revision integer
  • revision_max integer
  • status string
  • tags array[string] nullable
  • temporalities map[object] nullable
    • created_at string<date-time>
    • frequency integer
    • id string<uuid>
    • replicas map[array[object]] nullable
    • retention integer
    • start_time string<date-time>
    • storage_tier string nullable
    • store_id string<uuid>
    • updated_at string<date-time>
  • updated_at string<date-time>

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X PATCH 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/templates/{template_id}' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "data_classes": [
    "string"
  ],
  "drills": [
    {
      "type": "string"
    }
  ],
  "environment": "string",
  "name": "string",
  "tags": [
    "string"
  ],
  "temporalities": {
    "key": {
      "created_at": "2026-01-01T00:00:00Z",
      "frequency": 0,
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "replicas": {
        "key": [
          {
            "created_at": "2026-01-01T00:00:00Z",
            "from": 0,
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "residency": "string",
            "to": 0,
            "updated_at": "2026-01-01T00:00:00Z"
          }
        ]
      },
      "retention": 0,
      "start_time": "2026-01-01T00:00:00Z",
      "storage_tier": "string",
      "store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "updated_at": "2026-01-01T00:00:00Z"
    }
  }
}'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "data_classes": [
    "string"
  ],
  "drills": [
    {
      "type": "string"
    }
  ],
  "environment": "string",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string",
  "revision": 0,
  "revision_max": 0,
  "status": "string",
  "tags": [
    "string"
  ],
  "temporalities": {
    "key": {
      "created_at": "2026-01-01T00:00:00Z",
      "frequency": 0,
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "replicas": {
        "key": [
          {
            "created_at": "2026-01-01T00:00:00Z",
            "from": 0,
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "residency": "string",
            "to": 0,
            "updated_at": "2026-01-01T00:00:00Z"
          }
        ]
      },
      "retention": 0,
      "start_time": "2026-01-01T00:00:00Z",
      "storage_tier": "string",
      "store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "updated_at": "2026-01-01T00:00:00Z"
    }
  },
  "updated_at": "2026-01-01T00:00:00Z"
}

Delete an SLA template

DELETE /api/v1/account/organizations/{id}/slas/templates/{template_id}
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.
  • template_id string required

Response 200 OK application/json

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X DELETE 'https://pcp.example.com/api/v1/account/organizations/{id}/slas/templates/{template_id}' \
  -H 'Authorization: Bearer <badge>'

Response 200

{}